---
title: MediaTrackConstraints.frameRate
slug: Web/API/MediaTrackConstraints/frameRate
tags:
  - API
  - Constraints
  - Media
  - Media Capture and Streams API
  - Media Streams API
  - MediaTrackConstraints
  - Property
  - Reference
  - Video
  - WebRTC
  - frameRate
---
<div>{{APIRef("Media Capture and Streams")}}</div>

<p>The {{domxref("MediaTrackConstraints")}} dictionary's <code><strong>frameRate</strong></code> property is a {{domxref("ConstrainDouble")}} describing the requested or mandatory constraints placed upon the value of the {{domxref("MediaTrackSettings.frameRate", "frameRate")}} constrainable property.</p>

<p>If needed, you can determine whether or not this constraint is supported by checking the value of {{domxref("MediaTrackSupportedConstraints.frameRate")}} as returned by a call to {{domxref("MediaDevices.getSupportedConstraints()")}}. However, typically this is unnecessary since browsers will ignore any constraints they're unfamiliar with.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>constraintsObject</em> = { frameRate: <em>constraint</em> };

<em>constraintsObject</em>.frameRate = <em>constraint</em>;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("ConstrainDouble")}} describing the acceptable or required value(s) for a video track's frame rate, in frames per second.</p>

<p>If this value is a number, the user agent will attempt to obtain media whose frame rate is as close as possible to this number given the capabilities of the hardware and the other constraints specified. Otherwise, the value of this {{domxref("ConstrainDouble")}} will guide the user agent in its efforts to provide an exact match to the required frame rate (if <code>exact</code> is specified or both <code>min</code> and <code>max</code> are provided and have the same value) or to a best-possible value.</p>

<h2 id="Example">Example</h2>

<p>See {{SectionOnPage("/en-US/docs/Web/API/Media_Streams_API/Constraints", "Example: Constraint exerciser")}} for an example.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Media Capture', '#dom-mediatrackconstraintset-framerate', 'frameRate') }}</td>
   <td>{{ Spec2('Media Capture') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaTrackConstraints.frameRate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API">Media Capture and Streams API</a></li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API/Constraints">Capabilities, constraints, and settings</a></li>
 <li>{{domxref("MediaTrackConstraints")}}</li>
 <li>{{domxref("MediaDevices.getSupportedConstraints()")}}</li>
 <li>{{domxref("MediaTrackSupportedConstraints")}}</li>
 <li>{{domxref("MediaStreamTrack")}}</li>
</ul>
